Subject: Re: bug#32382: libchop has build failures

From: [email-masked] (Ludovic Courtès)
Date: Sun, 19 Aug 2018 18:30:01 +0200

Hello,

Björn Höfling <[email-masked]> skribis:

> Build log at failure:
>
> libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I../include/chop -I../include -I../i
> nclude -I../lib -I../lib -DGCRYPT_NO_MPI_MACROS -DGCRYPT_NO_DEPRECATED -I/gnu/st
> ore/dysmb6hz7rr5rvcb05p23dazc5hz26qm-libgcrypt-1.8.2/include -I/gnu/store/a5rd4s
> qyljb9gs58z9hq4kswqmxa45nr-libgpg-error-1.28/include -Wcast-align -Wall -Wmissin
> g-prototypes -Wpointer-arith -fno-strict-aliasing -g -O2 -MT libchop_la-chopper-
> anchor-based.lo -MD -MP -MF .deps/libchop_la-chopper-anchor-based.Tpo -c chopper
> -anchor-based.c  -fPIC -DPIC -o .libs/libchop_la-chopper-anchor-based.o
> chopper-anchor-based.c:120:3: warning: #warning "Not compiling the Lightning cod
> e" [-Wcpp]
>  # warning "Not compiling the Lightning code"
>    ^
> In file included from chop.c:545:0:
> class-lookup.c:115:1: error: conflicting types for 'chop_lookup_class_entry'
>  chop_lookup_class_entry (register const char *str, register size_t len)
>  ^
> chop.c:542:1: note: previous declaration of 'chop_lookup_class_entry' was here
>  chop_lookup_class_entry (const char *str, unsigned int len);
>  ^
> make[2]: *** [Makefile:1253: libchop_la-chop.lo] Error 1

Fixed in c9f898cd313db2f0bd320357c7571e155feffc4c, with additional fixes
in 6d1a7ce8ea52613963684e6545f6fb3e32d84181.

Note that the thing is unmaintained though…

Thanks,
Ludo’.